"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const cardNumber_1 = require("../cardNumber/cardNumber");
(0, globals_1.describe)("Card", () => {
    (0, globals_1.test)("Pase CardNumber", () => {
        (0, globals_1.expect)((0, cardNumber_1.CardNumberParse)("1111-2222-3333-4444")).toStrictEqual("1111222233334444");
        (0, globals_1.expect)((0, cardNumber_1.CardNumberParse)("1111 2222 3333 4444")).toStrictEqual("1111222233334444");
        (0, globals_1.expect)((0, cardNumber_1.CardNumberParse)("۱۱۱۱.۲۲۲۲.۳۳۳۳.۴۴۴۴")).toStrictEqual("1111222233334444");
    });
});
