"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isMTN = void 0;
const FaToEn_1 = require("../../parser/number/FaToEn");
/**
 * take number and check it if from MTN Irancell Operator or not
 * @param number
 * @returns boolean
 */
const isMTN = (number) => {
    const numberRegex = /^(\+98|0098|98|0)?(930|933|935|936|937|938|900|901|902|903|904|905|941)\d{7}$/, parseFaToEn = (0, FaToEn_1.Fa_To_En)(number);
    return numberRegex.test(parseFaToEn);
};
exports.isMTN = isMTN;
