"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRightel = void 0;
const FaToEn_1 = require("../../parser/number/FaToEn");
/**
 * take number and check it if from Rightel Operator or not
 * @param number
 * @returns boolean
 */
const isRightel = (number) => {
    const numberRegex = /^(\+98|0098|98|0)?(920|921|922|923)\d{7}$/, parseFaToEn = (0, FaToEn_1.Fa_To_En)(number);
    return numberRegex.test(parseFaToEn);
};
exports.isRightel = isRightel;
