"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const phoneNumber_1 = require("../phoneNumber");
const globals_1 = require("@jest/globals");
(0, globals_1.describe)('Operator Check', () => {
    (0, globals_1.test)('MCI', () => {
        (0, globals_1.expect)((0, phoneNumber_1.isMCI)("989113456787")).toBe(true);
    });
    (0, globals_1.test)('MTN', () => {
        (0, globals_1.expect)((0, phoneNumber_1.isMTN)("+989333456787")).toBe(true);
    });
    (0, globals_1.test)('MCI', () => {
        (0, globals_1.expect)((0, phoneNumber_1.isMCI)("00989163456787")).toBe(true);
    });
    (0, globals_1.test)('Rightel', () => {
        (0, globals_1.expect)((0, phoneNumber_1.isRightel)("09213456787")).toBe(true);
    });
});
