"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const findPostalCode_1 = require("../postalCode/findPostalCode");
(0, globals_1.describe)("Card", () => {
    (0, globals_1.test)("Card is Valid", () => {
        (0, globals_1.expect)((0, findPostalCode_1.PostalCodeFind)("۵۹۴۳۲")).toMatchObject({
            province: "آذربایجان غربی", city: "بوکان"
        });
        (0, globals_1.expect)((0, findPostalCode_1.PostalCodeFind)("63511")).toMatchObject({
            province: "خوزستان", city: "ماهشهر"
        });
    });
});
