"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckCardNumber = void 0;
const cardNumber_1 = require("../../constants/cardNumber");
/**
 * get card number and check if is valid or not
 * @param CardNumber
 * @returns boolean
 */
const CheckCardNumber = (CardNumber) => {
    const CardNumberRegex = /^\d{4}?[\s.-]?\d{4}?[\s.-]?\d{4}?[\s.-]?\d{4}$/g;
    if (CardNumberRegex.test(CardNumber)) {
        CardNumber = CardNumber.replace(/[\s.-]/g, "");
        CardNumber = CardNumber.slice(0, 6);
        const bankName = cardNumber_1.banks.find((item) => item.id === +CardNumber);
        if (bankName)
            return true;
    }
    return false;
};
exports.CheckCardNumber = CheckCardNumber;
