"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IdNumberFind = void 0;
const idNumber_1 = require("../../constants/idNumber");
const FaToEn_1 = require("../../parser/number/FaToEn");
/**
 * get idNumber and check it if true return province and city
 * @param id
 * @returns object : { province: "", city: "" }
 */
const IdNumberFind = (id) => {
    id = (0, FaToEn_1.Fa_To_En)(id.slice(0, 3));
    const findCity = idNumber_1.idNumbersByCity.find((item) => item.from === id || item.to === id);
    if (findCity) {
        return { province: findCity.province, city: findCity.city };
    }
    return;
};
exports.IdNumberFind = IdNumberFind;
