"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MAC = void 0;
const Mac_1 = require("../../webService/api/mac/Mac");
/**
 * This Class Create Instance of MacApi and has getMacInfo Function
 */
class MAC {
    constructor(mac) {
        this.mac = mac;
        this.getMacInfo = (mac) => __awaiter(this, void 0, void 0, function* () {
            const apiCall = (yield this.MacInstance).get(`${mac || this.mac}`);
            const res = (yield apiCall).data;
            return res;
        });
        this.MacInstance = new Mac_1.MacApi().MacCreate();
    }
}
exports.MAC = MAC;
