"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckPersianPhone = void 0;
const FaToEn_1 = require("../../parser/number/FaToEn");
/**
 * This function get a persian @number and check it if valid or not and return @boolean
 * @param number
 * @returns boolean
 */
const CheckPersianPhone = (number) => {
    const numberRegex = /^(\+98|0098|98|0)?9\d{9}$/, parseFaToEn = (0, FaToEn_1.Fa_To_En)(number);
    return numberRegex.test(parseFaToEn);
};
exports.CheckPersianPhone = CheckPersianPhone;
