"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isMCI = void 0;
const FaToEn_1 = require("../../parser/number/FaToEn");
/**
 * take number and check it if from MCI Hamrah Aval Operator or not
 * @param number
 * @returns boolean
 */
const isMCI = (number) => {
    const numberRegex = /^(\+98|0098|98|0)?(990|991|992|993|994|995|996|910|911|912|913|914|915|916|917|918|919)\d{7}$/, parseFaToEn = (0, FaToEn_1.Fa_To_En)(number);
    return numberRegex.test(parseFaToEn);
};
exports.isMCI = isMCI;
