"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const idNumber_1 = require("../idNumber");
(0, globals_1.describe)("Card", () => {
    (0, globals_1.test)("Id Number city", () => {
        (0, globals_1.expect)((0, idNumber_1.IdNumberFind)("194")).toMatchObject({ province: "خوزستان", city: "بندرماهشهر" });
    });
    (0, globals_1.test)("Id Number is valid", () => {
        //expect(CheckIdNumber("your id number 😎")).toBeTruthy(); // This test condition most be truthy
        (0, globals_1.expect)((0, idNumber_1.CheckIdNumber)("۱۲۳۴۵۶۷۸۹0")).toBeFalsy(); // This test condition most be falsy
        (0, globals_1.expect)((0, idNumber_1.CheckIdNumber)("123۴۶۷۱۲11")).toBeFalsy(); // This test condition most be falsy
        (0, globals_1.expect)((0, idNumber_1.CheckIdNumber)("0054725112")).toBeFalsy(); // This test condition most be false because does not exists
    });
});
